Bug 480144 - clvmd should not be linked to readline & ncurses libs
clvmd should not be linked to readline & ncurses libs
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Broz
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 06:50 EST by Milan Broz
Modified: 2013-02-28 23:07 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 480145 (view as bug list)
Environment:
Last Closed: 2009-05-18 17:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2009-01-15 06:50:38 EST
Description of problem:

VERIFY	 	lvm2-cluster	 	DT_NEEDED requirements on libreadline.so.4 appearing in usr/lib/liblvm2clusterlock.so.2.02 on i386
VERIFY	 	lvm2-cluster	 	DT_NEEDED requirements on libncurses.so.5 appearing in usr/sbin/clvmd on i386

Previous build have no this dependency and clvmd do not need this, it is regression.

Caused by default option change "Enable readline by default if available." for liblvm2cmd.

lvm2-cluster need to use --disable-readline switch now.

Version:
lvm2-cluster-2.02.42-1.el4
Comment 1 Milan Broz 2009-01-15 13:37:49 EST
In lvm2-cluster-2.02.42-2.el4.
Comment 4 errata-xmlrpc 2009-05-18 17:11:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1047.html

Note You need to log in before you can comment on or make changes to this bug.